For the complete documentation index, see llms.txt. This page is also available as Markdown.

createLoanApp

Perform various create operations on loan applications.

Symitar eDocs References: Coming soon.

Operations

createLoanApp

post

Creates a new loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

Responses
200

Successful operation.

application/json
LoanAppIdstringOptional

The unique identifier for the loan application.

post/createLoanApp
POST /nexum/627/persistent/account/createLoanApp HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 331

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000017368",
  "LoanAppFields": {
    "Id": "A001",
    "Type": 1,
    "LoanType": 1,
    "LoanDescription": "NEXUM W4 LOANAPP",
    "ApplicationDate": "2026-06-29",
    "LoanAmount": 1000,
    "Payment": 50,
    "TermMonths": 12
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppId": "A001",
  "MessageId": "createLoanApp"
}

createLoanAppEscrow

post

Creates an escrow for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppEscrowLocatorintegerOptional
post/createLoanAppEscrow
POST /nexum/627/persistent/account/createLoanAppEscrow HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppEscrowFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppEscrowLocator": 1,
  "MessageId": "createLoanAppEscrow"
}

createLoanAppEscrowAnalysis

post

Performs an analysis of escrow for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppEscrowAnalysisLocatorintegerOptional
post/createLoanAppEscrowAnalysis
POST /nexum/627/persistent/account/createLoanAppEscrowAnalysis HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 211

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppEscrowAnalysisFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppEscrowAnalysisLocator": 1,
  "MessageId": "createLoanAppEscrowAnalysis"
}

createLoanAppFinance

post

Creates finance information for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppFinanceLocatorintegerOptional
post/createLoanAppFinance
POST /nexum/627/persistent/account/createLoanAppFinance HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 204

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppFinanceFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppFinanceLocator": 1,
  "MessageId": "createLoanAppFinance"
}

createLoanAppLnSegment

post

Creates a loan segment for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppLnSegmentIdstringOptional
post/createLoanAppLnSegment
POST /nexum/627/persistent/account/createLoanAppLnSegment HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 206

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppLnSegmentFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppLnSegmentId": 1,
  "MessageId": "createLoanAppLnSegment"
}

createLoanAppNote

post

Creates a note for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppNoteLocatorintegerOptional
post/createLoanAppNote
POST /nexum/627/persistent/account/createLoanAppNote HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 201

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppNoteFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppNoteLocator": 1,
  "MessageId": "createLoanAppNote"
}

createLoanAppPerson

post

Adds a person to a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppPersonLocatorintegerOptional
post/createLoanAppPerson
POST /nexum/627/persistent/account/createLoanAppPerson HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 203

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppPersonFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppPersonLocator": 1,
  "MessageId": "createLoanAppPerson"
}

createLoanAppSchedule

post

Creates a schedule for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppScheduleIdstringOptional
post/createLoanAppSchedule
POST /nexum/627/persistent/account/createLoanAppSchedule HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": 1,
  "LoanAppScheduleFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppScheduleId": 1,
  "MessageId": "createLoanAppSchedule"
}

createLoanAppPledge

post

Creates a pledge for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppPledgeLocatorintegerOptional
post/createLoanAppPledge
POST /nexum/627/persistent/account/createLoanAppPledge HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 645

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "LoanAppId": "text",
  "LoanAppPledgeFields": {
    "AccountNumber": "text",
    "Amount": 1,
    "CollateralCode": 1,
    "CollateralDescription": "text",
    "CollateralNumber": "text",
    "EffectiveDate": "2026-01-01",
    "ExpirationDate": "2026-01-01",
    "Id": "text",
    "Locator": 1,
    "Percent": 1,
    "Priority": 1,
    "RecordChangeDate": "2026-01-01",
    "Type": 1
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "LoanAppPledgeLocator": 1
}

createLoanAppTracking

post

Creates tracking information for a loan application.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
LoanAppTrackingLocatorintegerOptional

No description provided.

post/createLoanAppTracking
POST /nexum/627/persistent/account/createLoanAppTracking HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 2764

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "LoanAppId": "text",
  "LoanAppTrackingFields": {
    "CreationDate": "2026-01-01",
    "CreationTime": 1,
    "ExpireDate": "2026-01-01",
    "FmLastDate": "2026-01-01",
    "Id": "text",
    "IdType": 1,
    "Locator": 1,
    "RecordChangeDate": "2026-01-01",
    "TrackingCode": 1,
    "TrackingDescription": "text",
    "Type": 1,
    "UserAmount1": 1,
    "UserAmount10": 1,
    "UserAmount11": 1,
    "UserAmount12": 1,
    "UserAmount13": 1,
    "UserAmount14": 1,
    "UserAmount15": 1,
    "UserAmount16": 1,
    "UserAmount17": 1,
    "UserAmount18": 1,
    "UserAmount19": 1,
    "UserAmount2": 1,
    "UserAmount20": 1,
    "UserAmount3": 1,
    "UserAmount4": 1,
    "UserAmount5": 1,
    "UserAmount6": 1,
    "UserAmount7": 1,
    "UserAmount8": 1,
    "UserAmount9": 1,
    "UserChar1": "text",
    "UserChar10": "text",
    "UserChar11": "text",
    "UserChar12": "text",
    "UserChar13": "text",
    "UserChar14": "text",
    "UserChar15": "text",
    "UserChar16": "text",
    "UserChar17": "text",
    "UserChar18": "text",
    "UserChar19": "text",
    "UserChar2": "text",
    "UserChar20": "text",
    "UserChar3": "text",
    "UserChar4": "text",
    "UserChar5": "text",
    "UserChar6": "text",
    "UserChar7": "text",
    "UserChar8": "text",
    "UserChar9": "text",
    "UserCode1": 1,
    "UserCode10": 1,
    "UserCode11": 1,
    "UserCode12": 1,
    "UserCode13": 1,
    "UserCode14": 1,
    "UserCode15": 1,
    "UserCode16": 1,
    "UserCode17": 1,
    "UserCode18": 1,
    "UserCode19": 1,
    "UserCode2": 1,
    "UserCode20": 1,
    "UserCode3": 1,
    "UserCode4": 1,
    "UserCode5": 1,
    "UserCode6": 1,
    "UserCode7": 1,
    "UserCode8": 1,
    "UserCode9": 1,
    "UserDate1": "2026-01-01",
    "UserDate10": "2026-01-01",
    "UserDate11": "2026-01-01",
    "UserDate12": "2026-01-01",
    "UserDate13": "2026-01-01",
    "UserDate14": "2026-01-01",
    "UserDate15": "2026-01-01",
    "UserDate16": "2026-01-01",
    "UserDate17": "2026-01-01",
    "UserDate18": "2026-01-01",
    "UserDate19": "2026-01-01",
    "UserDate2": "2026-01-01",
    "UserDate20": "2026-01-01",
    "UserDate3": "2026-01-01",
    "UserDate4": "2026-01-01",
    "UserDate5": "2026-01-01",
    "UserDate6": "2026-01-01",
    "UserDate7": "2026-01-01",
    "UserDate8": "2026-01-01",
    "UserDate9": "2026-01-01",
    "UserId": 1,
    "UserNumber1": 1,
    "UserNumber10": 1,
    "UserNumber11": 1,
    "UserNumber12": 1,
    "UserNumber13": 1,
    "UserNumber14": 1,
    "UserNumber15": 1,
    "UserNumber16": 1,
    "UserNumber17": 1,
    "UserNumber18": 1,
    "UserNumber19": 1,
    "UserNumber2": 1,
    "UserNumber20": 1,
    "UserNumber3": 1,
    "UserNumber4": 1,
    "UserNumber5": 1,
    "UserNumber6": 1,
    "UserNumber7": 1,
    "UserNumber8": 1,
    "UserNumber9": 1,
    "UserRate1": 1,
    "UserRate10": 1,
    "UserRate11": 1,
    "UserRate12": 1,
    "UserRate13": 1,
    "UserRate14": 1,
    "UserRate15": 1,
    "UserRate16": 1,
    "UserRate17": 1,
    "UserRate18": 1,
    "UserRate19": 1,
    "UserRate2": 1,
    "UserRate20": 1,
    "UserRate3": 1,
    "UserRate4": 1,
    "UserRate5": 1,
    "UserRate6": 1,
    "UserRate7": 1,
    "UserRate8": 1,
    "UserRate9": 1
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "LoanAppTrackingLocator": 1
}

Last updated

Was this helpful?